about summary refs log tree commit diff
path: root/editor/pnmindex.sh
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2007-07-19 03:29:54 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2007-07-19 03:29:54 +0000
commit2bc806bc85e98997b0bd60d7608b5d9eddf6c1e1 (patch)
treea2a9e61849f6505a83078cc730ed875debca6eda /editor/pnmindex.sh
parent5b89979034a0638603713a28f76e12b4b7b83656 (diff)
downloadnetpbm-mirror-2bc806bc85e98997b0bd60d7608b5d9eddf6c1e1.tar.gz
netpbm-mirror-2bc806bc85e98997b0bd60d7608b5d9eddf6c1e1.tar.xz
netpbm-mirror-2bc806bc85e98997b0bd60d7608b5d9eddf6c1e1.zip
Release 10.39.02
git-svn-id: http://svn.code.sf.net/p/netpbm/code/advanced@360 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'editor/pnmindex.sh')
-rwxr-xr-xeditor/pnmindex.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/editor/pnmindex.sh b/editor/pnmindex.sh
index 15ba1abd..dfc5b82a 100755
--- a/editor/pnmindex.sh
+++ b/editor/pnmindex.sh
@@ -90,9 +90,8 @@ if [ $# -eq 0 ]; then
 fi
 
 tempdir="${TMPDIR-/tmp}/pnmindex.$$"
-mkdir $tempdir || { echo "Could not create temporary file. Exiting."; exit 1;}
-chmod 700 $tempdir
-
+mkdir -m 0700 $tempdir || \
+  { echo "Could not create temporary file. Exiting."; exit 1;}
 trap 'rm -rf $tempdir' 0 1 3 15
 
 tmpfile=$tempdir/pi.tmp